Package com.independentsoft.office.word.math

# Class Fraction

java.lang.Object
com.independentsoft.office.word.math.Fraction

All Implemented Interfaces:
  `IContentElement`, `IRunTrackChangeContent`, `IMathElement`, `IMathMathElement`

public class Fraction extends Object implements IMathMathElement
The Class Fraction.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Fraction()`
  Instantiates a new fraction.
  `Fraction​(InternalXMLStreamReader reader)`
  Instantiates a new fraction.
  `Fraction​(Numerator numerator, Denominator denominator)`
  Instantiates a new fraction.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Fraction`
  `clone()`
  `List<IContentElement>`
  `getContentElements()`
  `ControlProperties`
  `getControlProperties()`
  Gets the control properties.
  `Denominator`
  `getDenominator()`
  Gets the denominator.
  `Numerator`
  `getNumerator()`
  Gets the numerator.
  `FractionType`
  `getType()`
  Gets the type.
  `void`
  `setDenominator​(Denominator denominator)`
  Sets the denominator.
  `void`
  `setNumerator​(Numerator numerator)`
  Sets the numerator.
  `void`
  `setType​(FractionType type)`
  Sets the type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Fraction

    public Fraction()
    Instantiates a new fraction.

  - ### Fraction

    public Fraction​(Numerator numerator, Denominator denominator)
    Instantiates a new fraction.
    Parameters:
      `numerator` - the numerator
      `denominator` - the denominator

  - ### Fraction

    public Fraction​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new fraction.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`

  - ### clone

    public Fraction clone()
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IMathElement`
    Specified by:
      `clone` in interface `IMathMathElement`
    Specified by:
      `clone` in interface `IRunTrackChangeContent`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getNumerator

    public Numerator getNumerator()
    Gets the numerator.
    Returns:
      the numerator

  - ### setNumerator

    public void setNumerator​(Numerator numerator)
    Sets the numerator.
    Parameters:
      `numerator` - the new numerator

  - ### getDenominator

    public Denominator getDenominator()
    Gets the denominator.
    Returns:
      the denominator

  - ### setDenominator

    public void setDenominator​(Denominator denominator)
    Sets the denominator.
    Parameters:
      `denominator` - the new denominator

  - ### getType

    public FractionType getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(FractionType type)
    Sets the type.
    Parameters:
      `type` - the new type

  - ### getControlProperties

    public ControlProperties getControlProperties()
    Gets the control properties.
    Returns:
      the control properties